$(document).ready(function() {
    window.onresize = resize;
    setTimeout(function(){
        STDI_Init();
    }, 300);
});
function STDI_Init(fileName) {
    $('.etiquette').hide();
    var t = 0;
    var initInter = setInterval(function(){
        resize();
        t++;
        if(t > 5){
            clearInterval(initInter);
        }
    }, 20);
    $('#Stdi_BtnAll').click(function(){
        $('.etiquette').attr('data-actif', 'true');
    });
    $('#Stdi_BtnInit').click(function(){
        $('.etiquette').each(function(){
            $(this).removeAttr('data-actif');
        });
        $('.zoneSch').each(function(){
            $(this).removeAttr('data-actif');
        });
        $('.btnLegende').each(function(){
            $(this).removeAttr('data-actif');
        });
        $('.etiquette').hide();
    });


    $('svg>.btnLegende').click(function(){
        $('.zoneSch').each(function(){
            $(this).removeAttr('data-actif');
        });
        var etiq = $('#'+$(this).attr('id').replace('btn_',''));
        var etiqBis = $('#'+$(this).attr('id').replace('btn_','')+'_bis');
        var clignote = $(this).attr('data-clignote');
        if(etiq.attr('data-actif') == "true"){
            etiq.attr('data-actif', "false");
            if(etiqBis.length){
                etiqBis.attr('data-actif', "false");
            }
        }else if (clignote == "true") {
            var t = 0;
            var initInter = setInterval(function() {
                t++;
                if (etiq.attr('data-actif') == 'true') {
                    etiq.attr('data-actif', 'false');
                    if(etiqBis.length){
                        etiqBis.attr('data-actif', "false");
                    }
                } else {
                    etiq.attr('data-actif', 'true');
                    if(etiqBis.length){
                        etiqBis.attr('data-actif', "true");
                    }
                }
                if(t > 5){
                    clearInterval(initInter);
                    etiq.attr('data-actif', 'true');
                    if(etiqBis.length){
                        etiqBis.attr('data-actif', "true");
                    }
                }
            }, 300);
        }
        else {
            etiq.attr('data-actif', 'true');
            if(etiqBis.length){
                etiqBis.attr('data-actif', "true");
            }
        }
    });
    $('svg>.btnZoom').click(function(){
        var zoom = $('#zoom_'+$(this).attr('id').replace('btn_',''));
        console.log(zoom);

        if (zoom.is(":visible") == true) {
            $('.etiquette').hide();
        }
        else {
            $('.etiquette').hide();
            zoom.show();
        }
    });
}
function resize() {
    var currentScreen = $('.STDI_Ecran:visible');
    $("#STDI_ressource").css("height",window.innerHeight+'px');
    var resH = parseFloat($("#STDI_ressource").height());
    var headerH = parseFloat($("#STDI_header").height());
    var footerH = parseFloat($("#STDI_footer").height());
    var playerH = parseFloat($("#STDI_player").height());
    if(parseFloat(currentScreen.height()) * ratio > parseFloat(currentScreen.width())){
        currentScreen.find('.imgSchema, video').width(parseFloat(currentScreen.width()));
        currentScreen.find('.imgSchema, video').each(function(){
            $(this).height(parseFloat($(this).width()) / ratio);
            $(this).css('margin-left', -parseFloat($(this).width())/2);
            $(this).css('margin-top', -parseFloat($(this).height())/2);
        });
    }else{
        currentScreen.find('.imgSchema, video').height(resH - headerH - footerH - playerH);
        currentScreen.find('.imgSchema, video').each(function(){
            $(this).width(parseFloat($(this).height()) * ratio);
            $(this).css('margin-left', -parseFloat($(this).width())/2);
            $(this).css('margin-top', -parseFloat($(this).height())/2);
        });
    }
    if(parseFloat(currentScreen.height()) * ratio > parseFloat(currentScreen.width())){
        currentScreen.find('svg').width(parseFloat(currentScreen.width()));
        currentScreen.find('svg').each(function(){
            $(this).height(parseFloat($(this).width()) / ratio);
            $(this).css('margin-left', -parseFloat($(this).width())/2);
            $(this).css('margin-top', -parseFloat($(this).height())/2);
        });
    }else{
        currentScreen.find('svg').height(resH - headerH - footerH - playerH);
        currentScreen.find('svg').each(function(){
            $(this).width(parseFloat($(this).height()) * ratio);
            $(this).css('margin-left', -parseFloat($(this).width())/2);
            $(this).css('margin-top', -parseFloat($(this).height())/2);
        });
    }
}